> ## Documentation Index
> Fetch the complete documentation index at: https://developer-cn.cregis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询支持加密货币

> 查询系统支持的加密数字货币信息

### 接入API

POST /api/v1/order\_crypto\_currency

### 请求

#### 请求参数

| 名称        | 类型             | 是否必须 | 描述      |
| --------- | -------------- | ---- | ------- |
| pid       | integer(int64) | 是    | 项目编号    |
| nonce     | string         | 是    | 6位随机字符串 |
| timestamp | integer(int64) | 是    | 时间戳     |
| sign      | string         | 是    | 签名      |

###### 请求示例

```json theme={null}
{
    "pid": 1382528827416576,
    "nonce": "hwlkk6",
    "timestamp": 1688004243314,
    "sign": "d6eef2de79e39f434a38efb910213ba6"
}
```

### 返回

#### 返回数据

| 名称   | 类型     | 描述   |
| ---- | ------ | ---- |
| code | string | 返回码  |
| msg  | string | 返回信息 |
| data | array  | 返回数据 |

#### 返回数据 `data` 对象

| 名称              | 类型     | 描述     |
| --------------- | ------ | ------ |
| token\_symbol   | string | 货币单位   |
| blockchain      | string | 货币网络   |
| token\_decimals | string | 货币精度   |
| token\_name     | string | 币种名称   |
| logo\_url       | string | 币种logo |

###### 返回示例

```json theme={null}
{
    "code": "00000",
    "msg": "ok",
    "data": [
        {
            "token_symbol": "USDT",
            "blockchain": "BNB-BSC",
            "token_decimals": 18,
            "token_name":"USDT-BEP20",
            "logo_url":""
        },
        {
            "token_symbol": "USDT",
            "blockchain": "TRON",
            "token_decimals": 6,
            "token_name":"USDT-TRC20",
            "logo_url":""
        }
    ]
}
```
